MOUNT_CD9660(8)

NAME
mount_cd9660 - mount an ISO-9660 file system

SYNOPSIS
mount_cd9660 [-G gid] [-M mask] [-m mask] [-o options] [-U uid] special node

DESCRIPTION
The mount_cd9660 command attaches the ISO-9660 file system residing on the device special to the global file system namespace at the location indicated by node. Both special and node are converted to absolute paths before use.

The options are as follows:

-G group
    Set the group of the files in the file system to group. The default gid on non-Rockridge volumes is zero.

-M mask
    Specify the maximum file permissions for directories in the file system. See the -m description for details.

-m mask
    Specify the maximum file permissions for files in the file system. (For example, a mask of 755 specifies that, by default, the owner should have read, write, and execute permissions for files, but others should only have read and execute permissions). See chmod(1) for more information about octal file modes. Only the nine low-order bits of mask are used. The default mask on non-Rockridge volumes is 755.

-o  Options are specified with a -o flag followed by a comma separated string of options. Besides options mentioned in mount(8) man page, following cd9660-specific options are supported:

    extatt
        Enable the use of extended attributes.

    gens
        Do not strip version numbers on files and leave the case of the filename alone. (By default, uppercase characters are translated to lowercase, and if there are files with different version numbers on the disk, only the last one will be listed.)

        In either case, files may be opened without giving a version number, in which case you get the last one, or by explicitly stating a version number (albeit it's quite difficult to know it, if you are not using the gens option), in which case you get the specified version.

    nocasetrans
        A synonym for nomaplcase.

    nojoliet
        Do not make use of Joliet extensions for long filenames which may be present in the file system.

        Interpretation of Joliet extensions is enabled by default, Unicode file names are encoded into UTF-8.

    nomaplcase
        File names on cd9660 cdrom without Rock Ridge extension present should be uppercase only. By default, cd9660 recodes file names read from a non-Rock Ridge disk to all lowercase characters. nomaplcase turns off this mapping.

    norrip
        Do not use any Rockridge extensions included in the file system.

    nrr Same as norrip. For compatibility with Solaris only.

    rrcaseins
        Makes all lookups case-insensitive even for CD-ROMs with Rock-Ridge extensions (for Rock-Ridge, default is case-sensitive lookup).

-U user
    Set the owner of the files in the file system to user. The default uid on non-Rockridge volumes is zero.

For compatibility with previous releases, following obsolete flags are still recognized:
-e  Same as -o extatt.
-g  Same as -o gens.
-j  Same as -o nojoliet.
-r  Same as -o norrip.

SEE ALSO
mount(2), unmount(2), fstab(5), mount(8), mscdlabel(8), vndconfig(8)

HISTORY
The mount_cd9660 utility first appeared 4.4BSD. Support for Joliet file system appeared in NetBSD 1.4. Options nomaplcase and rrcaseins were added in NetBSD 1.5. UTF-8 encoding of Unicode file names for Joliet file systems was added in NetBSD 3.0.

NOTES
For Joliet file systems, the Unicode file names used to be filtered to ISO-8859-1 character set. This changed in NetBSD 3.0, file names are encoded into UTF-8 now by default. The behaviour is controllable by the vfs.cd9660.utf8_joliet sysctl; the former behaviour is available by setting it to 0.

BUGS
For some cdroms the information in the Rock Ridge extension is wrong and the cdrom needs to be mounted with "norrip". A sign that something is wrong is that the stat(2) system call returns EBADF causing, e.g., "ls -l" to fail with "Bad file descriptor".

The cd9660 file system does not support the original "High Sierra" ("CDROM001") format.

POSIX device node mapping is currently not supported.

Version numbers are not stripped if Rockridge extensions are in use. In this case, you have to use the original name of the file as recorded on disk, i.e. use uppercase and append the version number to the file.

There is no ECMA support.